import { StyleSheet } from "react-native";
import { commonStyles } from "../../styles/commonStyle";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { external } from "../../styles/externalStyle";

const styles = StyleSheet.create({
  main: { flex: 1 },

  viewContainer: {
    backgroundColor: appColors.whiteColor,
    flex: 1,
    paddingTop: windowHeight(20),
  },
  horizontalView: {
    paddingHorizontal: windowHeight(10),
    paddingVertical: windowHeight(13),
    marginTop: windowHeight(15),
    marginHorizontal: windowWidth(20),
    borderRadius: windowWidth(15),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
    paddingTop: windowHeight(10),
  },
  subtitleText: {
    ...commonStyles.regularText,
    fontWeight: "300",
    fontSize: fontSizes.FONT16,
    color: appColors.regularText,
  },
  titleText: {
    ...commonStyles.mediumText23,
    fontSize: fontSizes.FONT19,
    width: windowWidth(250),
  },
  titleTextDetail: {
    fontSize: fontSizes.FONT18,
    width: windowWidth(250),
    color: appColors.gray,
    fontFamily: appFonts.regular,
  },
  iconView: {
    width: windowHeight(27),
    height: windowHeight(27),
    backgroundColor: appColors.lightGray,
    borderRadius: windowHeight(27),
    marginHorizontal: windowHeight(5),
    alignItems: "center",
    justifyContent: "center",
  },
  mapView: {
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(15),
    marginVertical: windowHeight(12),
    paddingVertical: windowHeight(8),
    maxHeight: windowHeight(220),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
  },
  recentView: {
    backgroundColor: appColors.lightGray,
    paddingHorizontal: windowHeight(16),
    paddingTop: windowHeight(16),
    marginTop: windowHeight(25),
  },
  chooseAnotherAccount: {
    ...commonStyles.mediumTextBlack12,
    ...external.mh_5,
    fontSize: fontSizes.FONT19,
    color: appColors.primary,
  },
  spaceing: {
    width: windowWidth(270),
  },
  modalOverlay: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: appColors.modelBg,
  },
  modalContainer: {
    width: 300,
    padding: windowHeight(18),
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(9.8),
    alignItems: "center",
  },
  modalText: {
    marginBottom: windowHeight(18),
    textAlign: "center",
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
  },
  bar: {
    height: windowHeight(2),
    width: windowHeight(35),
    backgroundColor: appColors.primary,
    marginTop: windowHeight(-1),
    position: "absolute",
    bottom: 0,
  },
  fareStyle: {
    ...commonStyles.mediumTextBlack12,
    color: appColors.fare,
    paddingHorizontal: windowHeight(5),
  },
  viewContainerToll: {
    backgroundColor: appColors.fareBg,
    borderRadius: windowHeight(4.8),
    ...external.ai_center,
    ...external.js_center,
    ...external.fd_row,
    paddingVertical: windowHeight(12),
    ...external.mh_20,
  },
  dateField: {
    marginTop: windowHeight(12),
    borderRadius: windowHeight(4),
    borderWidth: windowHeight(1),
    alignItems: "center",
    justifyContent: "space-between",
  },
  dateInput: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    width: "80%",
    marginHorizontal: windowWidth(15),
    marginVertical: 50,
  },
  locationBtn: {
    height: windowHeight(40),
    width: "100%",
    borderRadius: windowHeight(25),
    marginVertical: windowWidth(22),
    alignItems: "center",
    justifyContent: "center",
    marginBottom: windowHeight(1),
  },
  locationBtnText: {
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(5),
    fontSize: fontSizes.FONT19,
  },
  historyView: {
    height: windowHeight(28),
    width: windowHeight(28),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(15),
  },
  historyBtn: {
    alignItems: "center",
  },
  locationText: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(10),
    width: "90%",
    textAlign: "left",
  },
  bottomLine: {
    borderBottomWidth: windowHeight(0.9),
  },
  addressMArker: {
    backgroundColor: appColors.lightGray,
    height: windowHeight(30),
    width: windowHeight(30),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
  },
  addressItemView: {
    alignItems: "center",
    justifyContent: "center",
    height: windowHeight(50),
  },
  calenderView: { marginHorizontal: windowWidth(10) },
  suggestionsView: {
    marginHorizontal: windowHeight(8),
    marginVertical: windowHeight(3),
  },
  noAddressText: {
    fontSize: fontSizes.FONT22,
    fontFamily: appFonts.regular,
    textAlign: "center",
  },
  renderItemRecentView: {
    paddingHorizontal: windowWidth(15),
  },

  containers: {
    flex: 1,
    justifyContent: "flex-end",
    borderRadius: windowWidth(8),
  },
  scrollContainer: {
    position: "relative",
  },
  inputContainer: {
    alignItems: "center",
    position: "relative",
    marginTop: windowHeight(-4),
    marginBottom: windowHeight(1),
  },
  iconContainer: {
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
    width: windowHeight(40),
    height: windowHeight(40),
    backgroundColor: appColors.whiteColor,
  },
  numberContainer: {
    alignItems: "center",
    justifyContent: "center",
  },
  numberText: {
    textAlign: "center",
    fontSize: fontSizes.FONT20,
    fontFamily: appFonts.semiBold,
  },
  inputWithIcons: {
    flex: 1,
    position: "relative",
  },
  inputWidth: {
    width: windowWidth(280),
  },
  input: {
    height: windowHeight(30),
    borderColor: appColors.border,
    paddingTop: windowHeight(7),
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(10),
    includeFontPadding: false,
    textAlignVertical: "center",
    fontSize: fontSizes.FONT19,
  },
  iconSpacing: {
    borderLeftWidth: windowHeight(0.9),
    borderColor: appColors.border,
    height: windowHeight(22),
    marginHorizontal: windowWidth(8),
  },
  addButton: {
    position: "absolute",
    right: windowHeight(10),
    top: "40%",
    transform: [{ translateY: -10 }],
  },
  line: {
    position: "absolute",
    left: windowHeight(11),
    top: "50%",
    width: windowHeight(0.9),
    height: "100%",
    zIndex: -1,
    borderRightWidth: windowHeight(0.9),
    borderStyle: "dashed",
  },
  line2: {
    position: "absolute",
    left: windowHeight(11),
    top: 20,
    width: windowHeight(0.9),
    height: windowHeight(32),
    zIndex: -1,
    borderRightWidth: windowHeight(0.9),
    borderStyle: "dashed",
  },
  pickupdetailsView: { marginTop: windowHeight(5) },
  icon: {
    width: windowHeight(38),
    height: windowHeight(38),
    backgroundColor: appColors.whiteColor,
    borderWidth: windowHeight(1),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(38),
  },
  kmView: {
    position: "absolute",
    marginTop: windowHeight(28),
    alignSelf: "flex-end",
    marginHorizontal: windowHeight(5),
    borderWidth: windowWidth(2.5),
    borderRadius: windowHeight(35),
    width: windowHeight(30),
    height: windowHeight(30),
  },
  line1: {
    width: "110%",
    height: windowHeight(5),
    backgroundColor: appColors.lightGray,
    marginTop: windowHeight(10),
    alignSelf: "center",
  },
  dottedLine: {
    height: windowHeight(25),
    borderStyle: "dashed",
    borderLeftWidth: 1,
    borderColor: appColors.primary,
    marginVertical: 45,
    position: "absolute",
    marginHorizontal: windowHeight(20),
    borderBottomWidth: windowHeight(0.9),
  },
});
export { styles };
